# Visualization
TKMeshVS
MeshVS

# MeshVS_DataMapOfHArray1OfSequenceOfInteger Class Reference

`#include <MeshVS_DataMapOfHArray1OfSequenceOfInteger.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MeshVS_DataMapOfHArray1OfSequenceOfInteger (const Standard_Integer NbBuckets=1)
Standard_EXPORT MeshVS_DataMapOfHArray1OfSequenceOfInteger & | Assign (const MeshVS_DataMapOfHArray1OfSequenceOfInteger &Other)
MeshVS_DataMapOfHArray1OfSequenceOfInteger & | operator= (const MeshVS_DataMapOfHArray1OfSequenceOfInteger &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~MeshVS_DataMapOfHArray1OfSequenceOfInteger ()
Standard_EXPORT Standard_Boolean | Bind (const Standard_Integer &K, const Handle(MeshVS_HArray1OfSequenceOfInteger)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Standard_Integer &K) const
Standard_EXPORT Standard_Boolean | UnBind (const Standard_Integer &K)
Standard_EXPORT const Handle_MeshVS_HArray1OfSequenceOfInteger & | Find (const Standard_Integer &K) const
const Handle_MeshVS_HArray1OfSequenceOfInteger & | operator() (const Standard_Integer &K) const
Standard_EXPORT Handle_MeshVS_HArray1OfSequenceOfInteger & | ChangeFind (const Standard_Integer &K)
Handle_MeshVS_HArray1OfSequenceOfInteger & | operator() (const Standard_Integer &K)

## Private Member Functions

Standard_EXPORT | MeshVS_DataMapOfHArray1OfSequenceOfInteger (const MeshVS_DataMapOfHArray1OfSequenceOfInteger &Other)

## Constructor & Destructor Documentation

Standard_EXPORT MeshVS_DataMapOfHArray1OfSequenceOfInteger::MeshVS_DataMapOfHArray1OfSequenceOfInteger | ( | const Standard_Integer | NbBuckets = `1` | ) |

MeshVS_DataMapOfHArray1OfSequenceOfInteger::~MeshVS_DataMapOfHArray1OfSequenceOfInteger | ( |  | ) | `[inline]`

Standard_EXPORT MeshVS_DataMapOfHArray1OfSequenceOfInteger::MeshVS_DataMapOfHArray1OfSequenceOfInteger | ( | const MeshVS_DataMapOfHArray1OfSequenceOfInteger & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT MeshVS_DataMapOfHArray1OfSequenceOfInteger& MeshVS_DataMapOfHArray1OfSequenceOfInteger::Assign | ( | const MeshVS_DataMapOfHArray1OfSequenceOfInteger & | Other | ) |

Standard_EXPORT Standard_Boolean MeshVS_DataMapOfHArray1OfSequenceOfInteger::Bind | ( | const Standard_Integer & | K,
|  | const Handle(MeshVS_HArray1OfSequenceOfInteger)& | I
| ) |

Standard_EXPORT Handle_MeshVS_HArray1OfSequenceOfInteger& MeshVS_DataMapOfHArray1OfSequenceOfInteger::ChangeFind | ( | const Standard_Integer & | K | ) |

Standard_EXPORT void MeshVS_DataMapOfHArray1OfSequenceOfInteger::Clear | ( |  | ) |

Standard_EXPORT const Handle_MeshVS_HArray1OfSequenceOfInteger& MeshVS_DataMapOfHArray1OfSequenceOfInteger::Find | ( | const Standard_Integer & | K | ) | const

Standard_EXPORT Standard_Boolean MeshVS_DataMapOfHArray1OfSequenceOfInteger::IsBound | ( | const Standard_Integer & | K | ) | const

void MeshVS_DataMapOfHArray1OfSequenceOfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MeshVS_DataMapOfHArray1OfSequenceOfInteger::operator new | ( | size_t | size | ) | `[inline]`

void* MeshVS_DataMapOfHArray1OfSequenceOfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_MeshVS_HArray1OfSequenceOfInteger& MeshVS_DataMapOfHArray1OfSequenceOfInteger::operator() | ( | const Standard_Integer & | K | ) | `[inline]`

const Handle_MeshVS_HArray1OfSequenceOfInteger& MeshVS_DataMapOfHArray1OfSequenceOfInteger::operator() | ( | const Standard_Integer & | K | ) | const`[inline]`

MeshVS_DataMapOfHArray1OfSequenceOfInteger& MeshVS_DataMapOfHArray1OfSequenceOfInteger::operator= | ( | const MeshVS_DataMapOfHArray1OfSequenceOfInteger & | Other | ) | `[inline]`

Standard_EXPORT void MeshVS_DataMapOfHArray1OfSequenceOfInteger::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean MeshVS_DataMapOfHArray1OfSequenceOfInteger::UnBind | ( | const Standard_Integer & | K | ) |

The documentation for this class was generated from the following file:

- MeshVS_DataMapOfHArray1OfSequenceOfInteger.hxx